task merge_mendelian {
	File D5_in
	File D6_in
	File family_in
	File D5_out
	File D6_out
	File family_out
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		python /opt/merge_two_family_with_genotype.py -LCL5 ${D5_in} -LCL6 ${D6_in} -genotype ${family_in} -family ${family_name}.inside

		python /opt/merge_two_family_with_genotype.py -LCL5 ${D5_out} -LCL6 ${D6_out} -genotype ${family_out} -family ${family_name}.outside

		cat ${family_name}.inside.txt | cut -f12 | cut -d: -f2 | sort | uniq -c > ${family_name}.inside.D5.txt

		cat ${family_name}.inside.txt | cut -f12 | cut -d: -f3 | sort | uniq -c > ${family_name}.inside.D6.txt

		cat ${family_name}.outside.txt | cut -f12 | cut -d: -f2 | sort | uniq -c > ${family_name}.outside.D5.txt

		cat ${family_name}.outside.txt | cut -f12 | cut -d: -f3 | sort | uniq -c > ${family_name}.outside.D6.txt
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File mendelian_in = "${family_name}.inside.txt"
		File mendelian_in_summary = "${family_name}.inside.summary.txt"
		File mendelian_out = "${family_name}.outside.txt"
		File mendelian_out_summary = "${family_name}.outside.summary.txt"
		File D5_inside = "${family_name}.inside.D5.txt"
		File D5_outside = "${family_name}.outside.D5.txt"
		File D6_inside = "${family_name}.inside.D6.txt"
		File D6_outside = "${family_name}.outside.D6.txt"
	}
}